%% Script S1: Script to read the Chew Bahir age models
% 
% Trauth, M.H., Asrat, A., Fischer, M., Foerster, V., Kaboth-Bahr, S.,
% Lamb, H.F., Marwan, N., Roberts, H.M., Schaebitz, F., 2024, Combining
% orbital tuning and direct dating approaches to age-depth model
% development for Chew Bahir, Ethiopia. Quaternary Science Advances
% 
% Martin H Trauth 7 June 2024

dirname1 = "DirDataTiepoints/";
dirname2 = "DirResultsTiePointsMerging/";

if agemodeloption == 1
    filename = ...
        strcat(dirname1,"agemodeltiepoints_rrmarch2021.txt");
    agemodeltiepoints = load(filename);
    agemodeltiepoints(:,2) = agemodeltiepoints(:,2);
elseif agemodeloption == 2
    filename = ...
        strcat(dirname1,"agemodeltiepoints_mubawa.txt");
    agemodeltiepoints = load(filename);
    agemodeltiepoints(:,2) = agemodeltiepoints(:,2);
elseif agemodeloption == 3
    filename = ...
        strcat(dirname2,"agemodeltiepoints_",agemodelstring(3,:),".txt");
    agemodeltiepoints = load(filename);
    agemodeltiepoints(:,2) = agemodeltiepoints(:,2);
elseif agemodeloption == 4
    filename = ...
        strcat(dirname2,"agemodeltiepoints_",agemodelstring(4,:),".txt");
    agemodeltiepoints = load(filename);
    agemodeltiepoints(:,2) = agemodeltiepoints(:,2);
elseif agemodeloption == 5
    filename = ...
        strcat(dirname2,"agemodeltiepoints_",agemodelstring(5,:),".txt");
    agemodeltiepoints = load(filename);
    agemodeltiepoints(:,2) = agemodeltiepoints(:,2);
end


